#pragma once
#include "node.h"
#include "node_button.h"
#include "node_text.h"

class NodeMessageBox : public Node
{
public:
    std::function<void(Node*)> on_submit = nullptr;
    NodeButton* btn_ok;
    NodeButton* btn_cancel;
    NodeText* m_message;
    NodeText* m_title;
    virtual Node* clone_instantiate() const override;
    virtual void init() override;
    virtual kEventResult handle_event(Event* e) override;
    virtual void added(Node* parent) override;
};
